AWebAbstractClipCommand.prototype = new AWebGraphicCommand();
AWebAbstractClipCommand.prototype.constructor = AWebAbstractClipCommand;
function AWebAbstractClipCommand(clipRegion) {
	AWebGraphicCommand.call(this);
	this.clipRegion = clipRegion;
}
function c0(clipRegion) { return new AWebAbstractClipCommand(clipRegion); }


AWebAbstractTransformCommand.prototype = new AWebGraphicCommand();
AWebAbstractTransformCommand.prototype.constructor = AWebAbstractTransformCommand;
function AWebAbstractTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebGraphicCommand.call(this);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c1(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebAbstractTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebAddClipCommand.prototype = new AWebAbstractClipCommand();
AWebAddClipCommand.prototype.constructor = AWebAddClipCommand;
function AWebAddClipCommand(clipRegion) {
	AWebAbstractClipCommand.call(this, clipRegion);
	this.clipRegion = clipRegion;
}
function c2(clipRegion) { return new AWebAddClipCommand(clipRegion); }


AWebAddTransformCommand.prototype = new AWebAbstractTransformCommand();
AWebAddTransformCommand.prototype.constructor = AWebAddTransformCommand;
function AWebAddTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebAbstractTransformCommand.call(this, scaleX, scaleY, shearX, shearY, translateX, translateY);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c3(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebAddTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebAlphaCompositeCommand.prototype = new AWebGraphicCommand();
AWebAlphaCompositeCommand.prototype.constructor = AWebAlphaCompositeCommand;
function AWebAlphaCompositeCommand(alpha) {
	AWebGraphicCommand.call(this);
	this.alpha = alpha;
}
function c4(alpha) { return new AWebAlphaCompositeCommand(alpha); }


AWebBrush.prototype = new Object();
AWebBrush.prototype.constructor = AWebBrush;
function AWebBrush() {
	Object.call(this);
}
function c5() { return new AWebBrush(); }


AWebBrushCommand.prototype = new AWebGraphicCommand();
AWebBrushCommand.prototype.constructor = AWebBrushCommand;
function AWebBrushCommand(brush) {
	AWebGraphicCommand.call(this);
	this.brush = brush;
}
function c6(brush) { return new AWebBrushCommand(brush); }


AWebCloseSegment.prototype = new AWebShapeSegment();
AWebCloseSegment.prototype.constructor = AWebCloseSegment;
function AWebCloseSegment() {
	AWebShapeSegment.call(this);
}
function c7() { return new AWebCloseSegment(); }


AWebCreateShapeCommand.prototype = new AWebGraphicCommand();
AWebCreateShapeCommand.prototype.constructor = AWebCreateShapeCommand;
function AWebCreateShapeCommand(shape) {
	AWebGraphicCommand.call(this);
	this.shape = shape;
}
function c8(shape) { return new AWebCreateShapeCommand(shape); }


AWebCubicToSegment.prototype = new AWebShapeSegment();
AWebCubicToSegment.prototype.constructor = AWebCubicToSegment;
function AWebCubicToSegment(point1x, point1y, point2x, point2y, point3x, point3y) {
	AWebShapeSegment.call(this);
	this.point1x = point1x;
	this.point1y = point1y;
	this.point2x = point2x;
	this.point2y = point2y;
	this.point3x = point3x;
	this.point3y = point3y;
}
function c9(point1x, point1y, point2x, point2y, point3x, point3y) { return new AWebCubicToSegment(point1x, point1y, point2x, point2y, point3x, point3y); }


AWebDrawCommand.prototype = new AWebGraphicCommand();
AWebDrawCommand.prototype.constructor = AWebDrawCommand;
function AWebDrawCommand() {
	AWebGraphicCommand.call(this);
}
function c10() { return new AWebDrawCommand(); }


AWebFillCommand.prototype = new AWebGraphicCommand();
AWebFillCommand.prototype.constructor = AWebFillCommand;
function AWebFillCommand() {
	AWebGraphicCommand.call(this);
}
function c11() { return new AWebFillCommand(); }


AWebFontCommand.prototype = new AWebGraphicCommand();
AWebFontCommand.prototype.constructor = AWebFontCommand;
function AWebFontCommand(fontName, bold, italic, size) {
	AWebGraphicCommand.call(this);
	this.fontName = fontName;
	this.bold = bold;
	this.italic = italic;
	this.size = size;
}
function c12(fontName, bold, italic, size) { return new AWebFontCommand(fontName, bold, italic, size); }


AWebGradientBrush.prototype = new AWebBrush();
AWebGradientBrush.prototype.constructor = AWebGradientBrush;
function AWebGradientBrush(color1, color2, point1x, point1y, point2x, point2y) {
	AWebBrush.call(this);
	this.color1 = color1;
	this.color2 = color2;
	this.point1x = point1x;
	this.point1y = point1y;
	this.point2x = point2x;
	this.point2y = point2y;
}
function c13(color1, color2, point1x, point1y, point2x, point2y) { return new AWebGradientBrush(color1, color2, point1x, point1y, point2x, point2y); }


AWebGraphic.prototype = new Object();
AWebGraphic.prototype.constructor = AWebGraphic;
function AWebGraphic(commands, x, y, width, height, logUnitsToPixel) {
	Object.call(this);
	this.commands = commands;
	this.x = x;
	this.y = y;
	this.width = width;
	this.height = height;
	this.logUnitsToPixel = logUnitsToPixel;
}
function c14(commands, x, y, width, height, logUnitsToPixel) { return new AWebGraphic(commands, x, y, width, height, logUnitsToPixel); }


AWebGraphicCommand.prototype = new Object();
AWebGraphicCommand.prototype.constructor = AWebGraphicCommand;
function AWebGraphicCommand() {
	Object.call(this);
}
function c15() { return new AWebGraphicCommand(); }


AWebGraphicSymbol.prototype = new Object();
AWebGraphicSymbol.prototype.constructor = AWebGraphicSymbol;
function AWebGraphicSymbol(commands, width, height) {
	Object.call(this);
	this.commands = commands;
	this.width = width;
	this.height = height;
}
function c16(commands, width, height) { return new AWebGraphicSymbol(commands, width, height); }


AWebGroupingCommand.prototype = new AWebGraphicCommand();
AWebGroupingCommand.prototype.constructor = AWebGroupingCommand;
function AWebGroupingCommand(bounds, commands) {
	AWebGraphicCommand.call(this);
	this.bounds = bounds;
	this.commands = commands;
}
function c17(bounds, commands) { return new AWebGroupingCommand(bounds, commands); }


AWebImage.prototype = new Object();
AWebImage.prototype.constructor = AWebImage;
function AWebImage(pngImage) {
	Object.call(this);
	this.pngImage = pngImage;
}
function c18(pngImage) { return new AWebImage(pngImage); }


AWebImageCommand.prototype = new AWebGraphicCommand();
AWebImageCommand.prototype.constructor = AWebImageCommand;
function AWebImageCommand(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image) {
	AWebGraphicCommand.call(this);
	this.dx1 = dx1;
	this.dy1 = dy1;
	this.dx2 = dx2;
	this.dy2 = dy2;
	this.sx1 = sx1;
	this.sy1 = sy1;
	this.sx2 = sx2;
	this.sy2 = sy2;
	this.image = image;
}
function c19(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image) { return new AWebImageCommand(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image); }


AWebLineToSegment.prototype = new AWebShapeSegment();
AWebLineToSegment.prototype.constructor = AWebLineToSegment;
function AWebLineToSegment(pointx, pointy) {
	AWebShapeSegment.call(this);
	this.pointx = pointx;
	this.pointy = pointy;
}
function c20(pointx, pointy) { return new AWebLineToSegment(pointx, pointy); }


AWebMoveToSegment.prototype = new AWebShapeSegment();
AWebMoveToSegment.prototype.constructor = AWebMoveToSegment;
function AWebMoveToSegment(pointx, pointy) {
	AWebShapeSegment.call(this);
	this.pointx = pointx;
	this.pointy = pointy;
}
function c21(pointx, pointy) { return new AWebMoveToSegment(pointx, pointy); }


AWebPenCommand.prototype = new AWebGraphicCommand();
AWebPenCommand.prototype.constructor = AWebPenCommand;
function AWebPenCommand(width, style, color) {
	AWebGraphicCommand.call(this);
	this.width = width;
	this.style = style;
	this.color = color;
}
function c22(width, style, color) { return new AWebPenCommand(width, style, color); }




AWebPlaceSymbolCommand.prototype = new AWebGraphicCommand();
AWebPlaceSymbolCommand.prototype.constructor = AWebPlaceSymbolCommand;
function AWebPlaceSymbolCommand(positionx, positiony, symbol) {
	AWebGraphicCommand.call(this);
	this.positionx = positionx;
	this.positiony = positiony;
	this.symbol = symbol;
}
function c23(positionx, positiony, symbol) { return new AWebPlaceSymbolCommand(positionx, positiony, symbol); }


AWebSetClipCommand.prototype = new AWebAbstractClipCommand();
AWebSetClipCommand.prototype.constructor = AWebSetClipCommand;
function AWebSetClipCommand(clipRegion) {
	AWebAbstractClipCommand.call(this, clipRegion);
	this.clipRegion = clipRegion;
}
function c24(clipRegion) { return new AWebSetClipCommand(clipRegion); }


AWebSetTransformCommand.prototype = new AWebAbstractTransformCommand();
AWebSetTransformCommand.prototype.constructor = AWebSetTransformCommand;
function AWebSetTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebAbstractTransformCommand.call(this, scaleX, scaleY, shearX, shearY, translateX, translateY);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c25(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebSetTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebShape.prototype = new Object();
AWebShape.prototype.constructor = AWebShape;
function AWebShape(segments) {
	Object.call(this);
	this.segments = segments;
}
function c26(segments) { return new AWebShape(segments); }


AWebShapeSegment.prototype = new Object();
AWebShapeSegment.prototype.constructor = AWebShapeSegment;
function AWebShapeSegment() {
	Object.call(this);
}
function c27() { return new AWebShapeSegment(); }


AWebSolidColorBrush.prototype = new AWebBrush();
AWebSolidColorBrush.prototype.constructor = AWebSolidColorBrush;
function AWebSolidColorBrush(color) {
	AWebBrush.call(this);
	this.color = color;
}
function c28(color) { return new AWebSolidColorBrush(color); }


AWebTextCommand.prototype = new AWebGraphicCommand();
AWebTextCommand.prototype.constructor = AWebTextCommand;
function AWebTextCommand(text, positionx, positiony) {
	AWebGraphicCommand.call(this);
	this.text = text;
	this.positionx = positionx;
	this.positiony = positiony;
}
function c29(text, positionx, positiony) { return new AWebTextCommand(text, positionx, positiony); }


AWebTransparentBrush.prototype = new AWebBrush();
AWebTransparentBrush.prototype.constructor = AWebTransparentBrush;
function AWebTransparentBrush() {
	AWebBrush.call(this);
}
function c30() { return new AWebTransparentBrush(); }


var SOLID = 0;
var DASHED = 1;
var DOTTED = 2;

function create_shape0() {
var segments = [
c21(0,0),c20(291,0),c20(291,288),c20(0,288),c20(0,0),c7()];
return c26(segments);
}

function create_shape1() {
var segments = [
c21(-40000,-40000),c20(40000,-40000),c20(40000,40000),c20(-40000,40000),c20(-40000,-40000),c7()];
return c26(segments);
}

function create_shape2() {
var segments = [
c21(0,0),c20(81,0),c20(81,79),c20(0,79),c20(0,0),c7()];
return c26(segments);
}

function createShapes() {
	shape0 = create_shape0();
	rememberShape('shape0', shape0);
	shape1 = create_shape1();
	rememberShape('shape1', shape1);
	shape2 = create_shape2();
	rememberShape('shape2', shape2);
}

function createImages() {

}

function create_s0() {
var commands = [c6(c28('#ffffff')),c8(shape0),c11(),c22(10, SOLID, '#ffffff'),c10()];
return c16(commands,291,288);
}

function create_s1() {
var commands = [c6(c28('#ffffff')),c8(shape2),c11(),c22(10, SOLID, '#ffffff'),c10()];
return c16(commands,81,79);
}

function create_s2() {
var commands = [c6(c28('#000000')),c8(shape2),c11(),c22(10, SOLID, '#000000'),c10()];
return c16(commands,81,79);
}

function create_s3() {
var commands = [c6(c28('#000000')),c8(shape0),c11(),c22(10, SOLID, '#000000'),c10()];
return c16(commands,291,288);
}


function buildGraphic() {

	createImages();

	createShapes();
var s0 = create_s0();
rememberSymbol(s0);
var s3 = create_s3();
rememberSymbol(s3);
var s2 = create_s2();
rememberSymbol(s2);
var s1 = create_s1();
rememberSymbol(s1);

var commands = [c6(c28('#ffffff')),c8(shape1),c11(),c6(c28('#000000')),c17(new Rectangle(95, 96, 291, 288), [c23(95, 96, s3)]),c17(new Rectangle(395, 96, 291, 288), [c23(395, 96, s0)]),c17(new Rectangle(695, 96, 291, 288), [c23(695, 96, s3)]),c17(new Rectangle(995, 96, 291, 288), [c23(995, 96, s0)]),c17(new Rectangle(394, 392, 291, 288), [c23(394, 392, s3)]),c17(new Rectangle(694, 392, 291, 288), [c23(694, 392, s0)]),c17(new Rectangle(994, 392, 291, 288), [c23(994, 392, s3)]),c17(new Rectangle(1294, 392, 291, 288), [c23(1294, 392, s0)]),c17(new Rectangle(1295, 96, 291, 288), [c23(1295, 96, s3)]),c17(new Rectangle(94, 392, 291, 288), [c23(94, 392, s0)]),c17(new Rectangle(95, 687, 291, 288), [c23(95, 687, s3)]),c17(new Rectangle(395, 687, 291, 288), [c23(395, 687, s0)]),c17(new Rectangle(695, 687, 291, 288), [c23(695, 687, s3)]),c17(new Rectangle(995, 687, 291, 288), [c23(995, 687, s0)]),c17(new Rectangle(394, 983, 291, 288), [c23(394, 983, s3)]),c17(new Rectangle(694, 983, 291, 288), [c23(694, 983, s0)]),c17(new Rectangle(994, 983, 291, 288), [c23(994, 983, s3)]),c17(new Rectangle(1294, 983, 291, 288), [c23(1294, 983, s0)]),c17(new Rectangle(1295, 687, 291, 288), [c23(1295, 687, s3)]),c17(new Rectangle(94, 983, 291, 288), [c23(94, 983, s0)]),c17(new Rectangle(1595, 95, 291, 288), [c23(1595, 95, s0)]),c17(new Rectangle(1895, 95, 291, 288), [c23(1895, 95, s3)]),c17(new Rectangle(2195, 95, 291, 288), [c23(2195, 95, s0)]),c17(new Rectangle(1594, 391, 291, 288), [c23(1594, 391, s3)]),c17(new Rectangle(1894, 391, 291, 288), [c23(1894, 391, s0)]),c17(new Rectangle(2194, 391, 291, 288), [c23(2194, 391, s3)]),c17(new Rectangle(2494, 391, 291, 288), [c23(2494, 391, s0)]),c17(new Rectangle(2495, 95, 291, 288), [c23(2495, 95, s3)]),c17(new Rectangle(1595, 686, 291, 288), [c23(1595, 686, s0)]),c17(new Rectangle(1895, 686, 291, 288), [c23(1895, 686, s3)]),c17(new Rectangle(2195, 686, 291, 288), [c23(2195, 686, s0)]),c17(new Rectangle(1594, 982, 291, 288), [c23(1594, 982, s3)]),c17(new Rectangle(1894, 982, 291, 288), [c23(1894, 982, s0)]),c17(new Rectangle(2194, 982, 291, 288), [c23(2194, 982, s3)]),c17(new Rectangle(2494, 982, 291, 288), [c23(2494, 982, s0)]),c17(new Rectangle(2495, 686, 291, 288), [c23(2495, 686, s3)]),c17(new Rectangle(2794, 95, 291, 288), [c23(2794, 95, s0)]),c17(new Rectangle(3094, 95, 291, 288), [c23(3094, 95, s3)]),c17(new Rectangle(3394, 95, 291, 288), [c23(3394, 95, s0)]),c17(new Rectangle(2793, 391, 291, 288), [c23(2793, 391, s3)]),c17(new Rectangle(3093, 391, 291, 288), [c23(3093, 391, s0)]),c17(new Rectangle(3393, 391, 291, 288), [c23(3393, 391, s3)]),c17(new Rectangle(3693, 391, 291, 288), [c23(3693, 391, s0)]),c17(new Rectangle(3694, 95, 291, 288), [c23(3694, 95, s3)]),c17(new Rectangle(2794, 686, 291, 288), [c23(2794, 686, s0)]),c17(new Rectangle(3094, 686, 291, 288), [c23(3094, 686, s3)]),c17(new Rectangle(3394, 686, 291, 288), [c23(3394, 686, s0)]),c17(new Rectangle(2793, 982, 291, 288), [c23(2793, 982, s3)]),c17(new Rectangle(3093, 982, 291, 288), [c23(3093, 982, s0)]),c17(new Rectangle(3393, 982, 291, 288), [c23(3393, 982, s3)]),c17(new Rectangle(3693, 982, 291, 288), [c23(3693, 982, s0)]),c17(new Rectangle(3694, 686, 291, 288), [c23(3694, 686, s3)]),c17(new Rectangle(3994, 94, 291, 288), [c23(3994, 94, s0)]),c17(new Rectangle(4294, 94, 291, 288), [c23(4294, 94, s3)]),c17(new Rectangle(3993, 390, 291, 288), [c23(3993, 390, s3)]),c17(new Rectangle(4293, 390, 291, 288), [c23(4293, 390, s0)]),c17(new Rectangle(3994, 685, 291, 288), [c23(3994, 685, s0)]),c17(new Rectangle(4294, 685, 291, 288), [c23(4294, 685, s3)]),c17(new Rectangle(3993, 981, 291, 288), [c23(3993, 981, s3)]),c17(new Rectangle(4293, 981, 291, 288), [c23(4293, 981, s0)]),c17(new Rectangle(94, 1278, 291, 288), [c23(94, 1278, s3)]),c17(new Rectangle(394, 1278, 291, 288), [c23(394, 1278, s0)]),c17(new Rectangle(694, 1278, 291, 288), [c23(694, 1278, s3)]),c17(new Rectangle(994, 1278, 291, 288), [c23(994, 1278, s0)]),c17(new Rectangle(393, 1574, 291, 288), [c23(393, 1574, s3)]),c17(new Rectangle(693, 1574, 291, 288), [c23(693, 1574, s0)]),c17(new Rectangle(993, 1574, 291, 288), [c23(993, 1574, s3)]),c17(new Rectangle(1293, 1574, 291, 288), [c23(1293, 1574, s0)]),c17(new Rectangle(1294, 1278, 291, 288), [c23(1294, 1278, s3)]),c17(new Rectangle(93, 1574, 291, 288), [c23(93, 1574, s0)]),c17(new Rectangle(94, 1869, 291, 288), [c23(94, 1869, s3)]),c17(new Rectangle(394, 1869, 291, 288), [c23(394, 1869, s0)]),c17(new Rectangle(694, 1869, 291, 288), [c23(694, 1869, s3)]),c17(new Rectangle(994, 1869, 291, 288), [c23(994, 1869, s0)]),c17(new Rectangle(393, 2165, 291, 288), [c23(393, 2165, s3)]),c17(new Rectangle(693, 2165, 291, 288), [c23(693, 2165, s0)]),c17(new Rectangle(993, 2165, 291, 288), [c23(993, 2165, s3)]),c17(new Rectangle(1293, 2165, 291, 288), [c23(1293, 2165, s0)]),c17(new Rectangle(1294, 1869, 291, 288), [c23(1294, 1869, s3)]),c17(new Rectangle(93, 2165, 291, 288), [c23(93, 2165, s0)]),c17(new Rectangle(1594, 1277, 291, 288), [c23(1594, 1277, s0)]),c17(new Rectangle(1894, 1277, 291, 288), [c23(1894, 1277, s3)]),c17(new Rectangle(2194, 1277, 291, 288), [c23(2194, 1277, s0)]),c17(new Rectangle(1593, 1573, 291, 288), [c23(1593, 1573, s3)]),c17(new Rectangle(1893, 1573, 291, 288), [c23(1893, 1573, s0)]),c17(new Rectangle(2193, 1573, 291, 288), [c23(2193, 1573, s3)]),c17(new Rectangle(2493, 1573, 291, 288), [c23(2493, 1573, s0)]),c17(new Rectangle(2494, 1277, 291, 288), [c23(2494, 1277, s3)]),c17(new Rectangle(1594, 1868, 291, 288), [c23(1594, 1868, s0)]),c17(new Rectangle(1894, 1868, 291, 288), [c23(1894, 1868, s3)]),c17(new Rectangle(2194, 1868, 291, 288), [c23(2194, 1868, s0)]),c17(new Rectangle(1593, 2164, 291, 288), [c23(1593, 2164, s3)]),c17(new Rectangle(1893, 2164, 291, 288), [c23(1893, 2164, s0)]),c17(new Rectangle(2193, 2164, 291, 288), [c23(2193, 2164, s3)]),c17(new Rectangle(2493, 2164, 291, 288), [c23(2493, 2164, s0)]),c17(new Rectangle(2494, 1868, 291, 288), [c23(2494, 1868, s3)]),c17(new Rectangle(2793, 1277, 291, 288), [c23(2793, 1277, s0)]),c17(new Rectangle(3093, 1277, 291, 288), [c23(3093, 1277, s3)]),c17(new Rectangle(3393, 1277, 291, 288), [c23(3393, 1277, s0)]),c17(new Rectangle(2792, 1573, 291, 288), [c23(2792, 1573, s3)]),c17(new Rectangle(3092, 1573, 291, 288), [c23(3092, 1573, s0)]),c17(new Rectangle(3392, 1573, 291, 288), [c23(3392, 1573, s3)]),c17(new Rectangle(3692, 1573, 291, 288), [c23(3692, 1573, s0)]),c17(new Rectangle(3693, 1277, 291, 288), [c23(3693, 1277, s3)]),c17(new Rectangle(2793, 1868, 291, 288), [c23(2793, 1868, s0)]),c17(new Rectangle(3093, 1868, 291, 288), [c23(3093, 1868, s3)]),c17(new Rectangle(3393, 1868, 291, 288), [c23(3393, 1868, s0)]),c17(new Rectangle(2792, 2164, 291, 288), [c23(2792, 2164, s3)]),c17(new Rectangle(3092, 2164, 291, 288), [c23(3092, 2164, s0)]),c17(new Rectangle(3392, 2164, 291, 288), [c23(3392, 2164, s3)]),c17(new Rectangle(3692, 2164, 291, 288), [c23(3692, 2164, s0)]),c17(new Rectangle(3693, 1868, 291, 288), [c23(3693, 1868, s3)]),c17(new Rectangle(3993, 1276, 291, 288), [c23(3993, 1276, s0)]),c17(new Rectangle(4293, 1276, 291, 288), [c23(4293, 1276, s3)]),c17(new Rectangle(3992, 1572, 291, 288), [c23(3992, 1572, s3)]),c17(new Rectangle(4292, 1572, 291, 288), [c23(4292, 1572, s0)]),c17(new Rectangle(3993, 1867, 291, 288), [c23(3993, 1867, s0)]),c17(new Rectangle(4293, 1867, 291, 288), [c23(4293, 1867, s3)]),c17(new Rectangle(3992, 2163, 291, 288), [c23(3992, 2163, s3)]),c17(new Rectangle(4292, 2163, 291, 288), [c23(4292, 2163, s0)]),c17(new Rectangle(92, 2461, 291, 288), [c23(92, 2461, s3)]),c17(new Rectangle(392, 2461, 291, 288), [c23(392, 2461, s0)]),c17(new Rectangle(692, 2461, 291, 288), [c23(692, 2461, s3)]),c17(new Rectangle(992, 2461, 291, 288), [c23(992, 2461, s0)]),c17(new Rectangle(391, 2757, 291, 288), [c23(391, 2757, s3)]),c17(new Rectangle(691, 2757, 291, 288), [c23(691, 2757, s0)]),c17(new Rectangle(991, 2757, 291, 288), [c23(991, 2757, s3)]),c17(new Rectangle(1291, 2757, 291, 288), [c23(1291, 2757, s0)]),c17(new Rectangle(1292, 2461, 291, 288), [c23(1292, 2461, s3)]),c17(new Rectangle(91, 2757, 291, 288), [c23(91, 2757, s0)]),c17(new Rectangle(92, 3052, 291, 288), [c23(92, 3052, s3)]),c17(new Rectangle(392, 3052, 291, 288), [c23(392, 3052, s0)]),c17(new Rectangle(692, 3052, 291, 288), [c23(692, 3052, s3)]),c17(new Rectangle(992, 3052, 291, 288), [c23(992, 3052, s0)]),c17(new Rectangle(391, 3348, 291, 288), [c23(391, 3348, s3)]),c17(new Rectangle(691, 3348, 291, 288), [c23(691, 3348, s0)]),c17(new Rectangle(991, 3348, 291, 288), [c23(991, 3348, s3)]),c17(new Rectangle(1291, 3348, 291, 288), [c23(1291, 3348, s0)]),c17(new Rectangle(1292, 3052, 291, 288), [c23(1292, 3052, s3)]),c17(new Rectangle(91, 3348, 291, 288), [c23(91, 3348, s0)]),c17(new Rectangle(1592, 2460, 291, 288), [c23(1592, 2460, s0)]),c17(new Rectangle(1892, 2460, 291, 288), [c23(1892, 2460, s3)]),c17(new Rectangle(2192, 2460, 291, 288), [c23(2192, 2460, s0)]),c17(new Rectangle(1591, 2756, 291, 288), [c23(1591, 2756, s3)]),c17(new Rectangle(1891, 2756, 291, 288), [c23(1891, 2756, s0)]),c17(new Rectangle(2191, 2756, 291, 288), [c23(2191, 2756, s3)]),c17(new Rectangle(2491, 2756, 291, 288), [c23(2491, 2756, s0)]),c17(new Rectangle(2492, 2460, 291, 288), [c23(2492, 2460, s3)]),c17(new Rectangle(1592, 3051, 291, 288), [c23(1592, 3051, s0)]),c17(new Rectangle(1892, 3051, 291, 288), [c23(1892, 3051, s3)]),c17(new Rectangle(2192, 3051, 291, 288), [c23(2192, 3051, s0)]),c17(new Rectangle(1591, 3347, 291, 288), [c23(1591, 3347, s3)]),c17(new Rectangle(1891, 3347, 291, 288), [c23(1891, 3347, s0)]),c17(new Rectangle(2191, 3347, 291, 288), [c23(2191, 3347, s3)]),c17(new Rectangle(2491, 3347, 291, 288), [c23(2491, 3347, s0)]),c17(new Rectangle(2492, 3051, 291, 288), [c23(2492, 3051, s3)]),c17(new Rectangle(2791, 2460, 291, 288), [c23(2791, 2460, s0)]),c17(new Rectangle(3091, 2460, 291, 288), [c23(3091, 2460, s3)]),c17(new Rectangle(3391, 2460, 291, 288), [c23(3391, 2460, s0)]),c17(new Rectangle(2790, 2756, 291, 288), [c23(2790, 2756, s3)]),c17(new Rectangle(3090, 2756, 291, 288), [c23(3090, 2756, s0)]),c17(new Rectangle(3390, 2756, 291, 288), [c23(3390, 2756, s3)]),c17(new Rectangle(3690, 2756, 291, 288), [c23(3690, 2756, s0)]),c17(new Rectangle(3691, 2460, 291, 288), [c23(3691, 2460, s3)]),c17(new Rectangle(2791, 3051, 291, 288), [c23(2791, 3051, s0)]),c17(new Rectangle(3091, 3051, 291, 288), [c23(3091, 3051, s3)]),c17(new Rectangle(3391, 3051, 291, 288), [c23(3391, 3051, s0)]),c17(new Rectangle(2790, 3347, 291, 288), [c23(2790, 3347, s3)]),c17(new Rectangle(3090, 3347, 291, 288), [c23(3090, 3347, s0)]),c17(new Rectangle(3390, 3347, 291, 288), [c23(3390, 3347, s3)]),c17(new Rectangle(3690, 3347, 291, 288), [c23(3690, 3347, s0)]),c17(new Rectangle(3691, 3051, 291, 288), [c23(3691, 3051, s3)]),c17(new Rectangle(3991, 2459, 291, 288), [c23(3991, 2459, s0)]),c17(new Rectangle(4291, 2459, 291, 288), [c23(4291, 2459, s3)]),c17(new Rectangle(3990, 2755, 291, 288), [c23(3990, 2755, s3)]),c17(new Rectangle(4290, 2755, 291, 288), [c23(4290, 2755, s0)]),c17(new Rectangle(3991, 3050, 291, 288), [c23(3991, 3050, s0)]),c17(new Rectangle(4291, 3050, 291, 288), [c23(4291, 3050, s3)]),c17(new Rectangle(3990, 3346, 291, 288), [c23(3990, 3346, s3)]),c17(new Rectangle(4290, 3346, 291, 288), [c23(4290, 3346, s0)]),c17(new Rectangle(91, 3643, 291, 288), [c23(91, 3643, s3)]),c17(new Rectangle(391, 3643, 291, 288), [c23(391, 3643, s0)]),c17(new Rectangle(691, 3643, 291, 288), [c23(691, 3643, s3)]),c17(new Rectangle(991, 3643, 291, 288), [c23(991, 3643, s0)]),c17(new Rectangle(390, 3939, 291, 288), [c23(390, 3939, s3)]),c17(new Rectangle(690, 3939, 291, 288), [c23(690, 3939, s0)]),c17(new Rectangle(990, 3939, 291, 288), [c23(990, 3939, s3)]),c17(new Rectangle(1290, 3939, 291, 288), [c23(1290, 3939, s0)]),c17(new Rectangle(1291, 3643, 291, 288), [c23(1291, 3643, s3)]),c17(new Rectangle(90, 3939, 291, 288), [c23(90, 3939, s0)]),c17(new Rectangle(91, 4234, 291, 288), [c23(91, 4234, s3)]),c17(new Rectangle(391, 4234, 291, 288), [c23(391, 4234, s0)]),c17(new Rectangle(691, 4234, 291, 288), [c23(691, 4234, s3)]),c17(new Rectangle(991, 4234, 291, 288), [c23(991, 4234, s0)]),c17(new Rectangle(1291, 4234, 291, 288), [c23(1291, 4234, s3)]),c17(new Rectangle(1591, 3642, 291, 288), [c23(1591, 3642, s0)]),c17(new Rectangle(1891, 3642, 291, 288), [c23(1891, 3642, s3)]),c17(new Rectangle(2191, 3642, 291, 288), [c23(2191, 3642, s0)]),c17(new Rectangle(1590, 3938, 291, 288), [c23(1590, 3938, s3)]),c17(new Rectangle(1890, 3938, 291, 288), [c23(1890, 3938, s0)]),c17(new Rectangle(2190, 3938, 291, 288), [c23(2190, 3938, s3)]),c17(new Rectangle(2490, 3938, 291, 288), [c23(2490, 3938, s0)]),c17(new Rectangle(2491, 3642, 291, 288), [c23(2491, 3642, s3)]),c17(new Rectangle(1591, 4233, 291, 288), [c23(1591, 4233, s0)]),c17(new Rectangle(1891, 4233, 291, 288), [c23(1891, 4233, s3)]),c17(new Rectangle(2191, 4233, 291, 288), [c23(2191, 4233, s0)]),c17(new Rectangle(2491, 4233, 291, 288), [c23(2491, 4233, s3)]),c17(new Rectangle(2790, 3642, 291, 288), [c23(2790, 3642, s0)]),c17(new Rectangle(3090, 3642, 291, 288), [c23(3090, 3642, s3)]),c17(new Rectangle(3390, 3642, 291, 288), [c23(3390, 3642, s0)]),c17(new Rectangle(2789, 3938, 291, 288), [c23(2789, 3938, s3)]),c17(new Rectangle(3089, 3938, 291, 288), [c23(3089, 3938, s0)]),c17(new Rectangle(3389, 3938, 291, 288), [c23(3389, 3938, s3)]),c17(new Rectangle(3689, 3938, 291, 288), [c23(3689, 3938, s0)]),c17(new Rectangle(3690, 3642, 291, 288), [c23(3690, 3642, s3)]),c17(new Rectangle(2790, 4233, 291, 288), [c23(2790, 4233, s0)]),c17(new Rectangle(3090, 4233, 291, 288), [c23(3090, 4233, s3)]),c17(new Rectangle(3390, 4233, 291, 288), [c23(3390, 4233, s0)]),c17(new Rectangle(3690, 4233, 291, 288), [c23(3690, 4233, s3)]),c17(new Rectangle(3990, 3641, 291, 288), [c23(3990, 3641, s0)]),c17(new Rectangle(4290, 3641, 291, 288), [c23(4290, 3641, s3)]),c17(new Rectangle(3989, 3937, 291, 288), [c23(3989, 3937, s3)]),c17(new Rectangle(4289, 3937, 291, 288), [c23(4289, 3937, s0)]),c17(new Rectangle(3990, 4232, 291, 288), [c23(3990, 4232, s0)]),c17(new Rectangle(4290, 4232, 291, 288), [c23(4290, 4232, s3)]),c17(new Rectangle(2691, 583, 81, 79), [c23(2691, 583, s2)]),c17(new Rectangle(2509, 405, 81, 79), [c23(2509, 405, s2)]),c17(new Rectangle(2996, 879, 81, 79), [c23(2996, 879, s2)]),c17(new Rectangle(2814, 701, 81, 79), [c23(2814, 701, s2)]),c17(new Rectangle(3289, 1173, 81, 79), [c23(3289, 1173, s2)]),c17(new Rectangle(3113, 1004, 81, 79), [c23(3113, 1004, s2)]),c17(new Rectangle(3585, 1466, 81, 79), [c23(3585, 1466, s2)]),c17(new Rectangle(3409, 1296, 81, 79), [c23(3409, 1296, s2)]),c17(new Rectangle(3884, 1762, 81, 79), [c23(3884, 1762, s2)]),c17(new Rectangle(3708, 1589, 81, 79), [c23(3708, 1589, s2)]),c17(new Rectangle(4189, 2055, 81, 79), [c23(4189, 2055, s2)]),c17(new Rectangle(4015, 1888, 81, 79), [c23(4015, 1888, s2)]),c17(new Rectangle(4172, 2479, 81, 79), [c23(4172, 2479, s2)]),c17(new Rectangle(4012, 2644, 81, 79), [c23(4012, 2644, s2)]),c17(new Rectangle(3873, 2777, 81, 79), [c23(3873, 2777, s2)]),c17(new Rectangle(3713, 2942, 81, 79), [c23(3713, 2942, s2)]),c17(new Rectangle(3577, 3071, 81, 79), [c23(3577, 3071, s2)]),c17(new Rectangle(3417, 3236, 81, 79), [c23(3417, 3236, s2)]),c17(new Rectangle(3275, 3370, 81, 79), [c23(3275, 3370, s2)]),c17(new Rectangle(3115, 3535, 81, 79), [c23(3115, 3535, s2)]),c17(new Rectangle(2976, 3663, 81, 79), [c23(2976, 3663, s2)]),c17(new Rectangle(2816, 3828, 81, 79), [c23(2816, 3828, s2)]),c17(new Rectangle(2674, 3956, 81, 79), [c23(2674, 3956, s2)]),c17(new Rectangle(2514, 4121, 81, 79), [c23(2514, 4121, s2)]),c17(new Rectangle(585, 2648, 81, 79), [c23(585, 2648, s2)]),c17(new Rectangle(403, 2470, 81, 79), [c23(403, 2470, s2)]),c17(new Rectangle(890, 2944, 81, 79), [c23(890, 2944, s2)]),c17(new Rectangle(708, 2766, 81, 79), [c23(708, 2766, s2)]),c17(new Rectangle(1183, 3238, 81, 79), [c23(1183, 3238, s2)]),c17(new Rectangle(1007, 3069, 81, 79), [c23(1007, 3069, s2)]),c17(new Rectangle(1479, 3531, 81, 79), [c23(1479, 3531, s2)]),c17(new Rectangle(1303, 3361, 81, 79), [c23(1303, 3361, s2)]),c17(new Rectangle(1778, 3827, 81, 79), [c23(1778, 3827, s2)]),c17(new Rectangle(1602, 3654, 81, 79), [c23(1602, 3654, s2)]),c17(new Rectangle(2083, 4120, 81, 79), [c23(2083, 4120, s2)]),c17(new Rectangle(1909, 3953, 81, 79), [c23(1909, 3953, s2)]),c17(new Rectangle(2075, 415, 81, 79), [c23(2075, 415, s2)]),c17(new Rectangle(1915, 580, 81, 79), [c23(1915, 580, s2)]),c17(new Rectangle(1776, 713, 81, 79), [c23(1776, 713, s2)]),c17(new Rectangle(1616, 878, 81, 79), [c23(1616, 878, s2)]),c17(new Rectangle(1480, 1007, 81, 79), [c23(1480, 1007, s2)]),c17(new Rectangle(1320, 1172, 81, 79), [c23(1320, 1172, s2)]),c17(new Rectangle(1178, 1306, 81, 79), [c23(1178, 1306, s2)]),c17(new Rectangle(1018, 1471, 81, 79), [c23(1018, 1471, s2)]),c17(new Rectangle(879, 1599, 81, 79), [c23(879, 1599, s2)]),c17(new Rectangle(719, 1764, 81, 79), [c23(719, 1764, s2)]),c17(new Rectangle(577, 1892, 81, 79), [c23(577, 1892, s2)]),c17(new Rectangle(417, 2057, 81, 79), [c23(417, 2057, s2)]),c17(new Rectangle(2084, 1004, 81, 79), [c23(2084, 1004, s2)]),c17(new Rectangle(1924, 1169, 81, 79), [c23(1924, 1169, s2)]),c17(new Rectangle(1782, 1303, 81, 79), [c23(1782, 1303, s2)]),c17(new Rectangle(1622, 1468, 81, 79), [c23(1622, 1468, s2)]),c17(new Rectangle(1483, 1596, 81, 79), [c23(1483, 1596, s2)]),c17(new Rectangle(1323, 1761, 81, 79), [c23(1323, 1761, s2)]),c17(new Rectangle(1181, 1889, 81, 79), [c23(1181, 1889, s2)]),c17(new Rectangle(1021, 2054, 81, 79), [c23(1021, 2054, s2)]),c17(new Rectangle(2079, 1594, 81, 79), [c23(2079, 1594, s2)]),c17(new Rectangle(1919, 1759, 81, 79), [c23(1919, 1759, s2)]),c17(new Rectangle(1780, 1887, 81, 79), [c23(1780, 1887, s2)]),c17(new Rectangle(1620, 2052, 81, 79), [c23(1620, 2052, s2)]),c17(new Rectangle(3582, 2482, 81, 79), [c23(3582, 2482, s2)]),c17(new Rectangle(3422, 2647, 81, 79), [c23(3422, 2647, s2)]),c17(new Rectangle(3280, 2781, 81, 79), [c23(3280, 2781, s2)]),c17(new Rectangle(3120, 2946, 81, 79), [c23(3120, 2946, s2)]),c17(new Rectangle(2981, 3074, 81, 79), [c23(2981, 3074, s2)]),c17(new Rectangle(2821, 3239, 81, 79), [c23(2821, 3239, s2)]),c17(new Rectangle(2679, 3367, 81, 79), [c23(2679, 3367, s2)]),c17(new Rectangle(2519, 3532, 81, 79), [c23(2519, 3532, s2)]),c17(new Rectangle(2976, 2487, 81, 79), [c23(2976, 2487, s2)]),c17(new Rectangle(2816, 2652, 81, 79), [c23(2816, 2652, s2)]),c17(new Rectangle(2674, 2780, 81, 79), [c23(2674, 2780, s2)]),c17(new Rectangle(2514, 2945, 81, 79), [c23(2514, 2945, s2)]),c17(new Rectangle(2686, 1175, 81, 79), [c23(2686, 1175, s2)]),c17(new Rectangle(2510, 1006, 81, 79), [c23(2510, 1006, s2)]),c17(new Rectangle(2982, 1468, 81, 79), [c23(2982, 1468, s2)]),c17(new Rectangle(2806, 1298, 81, 79), [c23(2806, 1298, s2)]),c17(new Rectangle(3281, 1764, 81, 79), [c23(3281, 1764, s2)]),c17(new Rectangle(3105, 1591, 81, 79), [c23(3105, 1591, s2)]),c17(new Rectangle(3585, 2058, 81, 79), [c23(3585, 2058, s2)]),c17(new Rectangle(3409, 1885, 81, 79), [c23(3409, 1885, s2)]),c17(new Rectangle(2990, 2058, 81, 79), [c23(2990, 2058, s2)]),c17(new Rectangle(2814, 1885, 81, 79), [c23(2814, 1885, s2)]),c17(new Rectangle(2685, 1762, 81, 79), [c23(2685, 1762, s2)]),c17(new Rectangle(2509, 1589, 81, 79), [c23(2509, 1589, s2)]),c17(new Rectangle(1187, 2653, 81, 79), [c23(1187, 2653, s2)]),c17(new Rectangle(1011, 2480, 81, 79), [c23(1011, 2480, s2)]),c17(new Rectangle(1481, 2944, 81, 79), [c23(1481, 2944, s2)]),c17(new Rectangle(1305, 2771, 81, 79), [c23(1305, 2771, s2)]),c17(new Rectangle(1783, 3240, 81, 79), [c23(1783, 3240, s2)]),c17(new Rectangle(1607, 3067, 81, 79), [c23(1607, 3067, s2)]),c17(new Rectangle(2084, 3536, 81, 79), [c23(2084, 3536, s2)]),c17(new Rectangle(1908, 3363, 81, 79), [c23(1908, 3363, s2)]),c17(new Rectangle(2084, 2952, 81, 79), [c23(2084, 2952, s2)]),c17(new Rectangle(1908, 2779, 81, 79), [c23(1908, 2779, s2)]),c17(new Rectangle(1780, 2653, 81, 79), [c23(1780, 2653, s2)]),c17(new Rectangle(1604, 2480, 81, 79), [c23(1604, 2480, s2)]),c17(new Rectangle(2210, 880, 81, 79), [c23(2210, 880, s2)]),c17(new Rectangle(2389, 878, 81, 79), [c23(2389, 878, s2)]),c17(new Rectangle(2212, 1464, 81, 79), [c23(2212, 1464, s2)]),c17(new Rectangle(2391, 1462, 81, 79), [c23(2391, 1462, s2)]),c17(new Rectangle(2212, 2057, 81, 79), [c23(2212, 2057, s2)]),c17(new Rectangle(2391, 2055, 81, 79), [c23(2391, 2055, s2)]),c17(new Rectangle(2205, 2482, 81, 79), [c23(2205, 2482, s2)]),c17(new Rectangle(2384, 2480, 81, 79), [c23(2384, 2480, s2)]),c17(new Rectangle(2208, 3070, 81, 79), [c23(2208, 3070, s2)]),c17(new Rectangle(2387, 3068, 81, 79), [c23(2387, 3068, s2)]),c17(new Rectangle(2208, 3660, 81, 79), [c23(2208, 3660, s2)]),c17(new Rectangle(2387, 3658, 81, 79), [c23(2387, 3658, s2)]),c17(new Rectangle(3714, 2186, 81, 79), [c23(3714, 2186, s2)]),c17(new Rectangle(3711, 2349, 81, 79), [c23(3711, 2349, s2)]),c17(new Rectangle(3112, 2184, 81, 79), [c23(3112, 2184, s2)]),c17(new Rectangle(3109, 2347, 81, 79), [c23(3109, 2347, s2)]),c17(new Rectangle(2509, 2184, 81, 79), [c23(2509, 2184, s2)]),c17(new Rectangle(2506, 2347, 81, 79), [c23(2506, 2347, s2)]),c17(new Rectangle(2081, 2190, 81, 79), [c23(2081, 2190, s2)]),c17(new Rectangle(2078, 2353, 81, 79), [c23(2078, 2353, s2)]),c17(new Rectangle(1484, 2190, 81, 79), [c23(1484, 2190, s2)]),c17(new Rectangle(1481, 2353, 81, 79), [c23(1481, 2353, s2)]),c17(new Rectangle(878, 2190, 81, 79), [c23(878, 2190, s2)]),c17(new Rectangle(875, 2353, 81, 79), [c23(875, 2353, s2)]),c17(new Rectangle(2208, 1757, 81, 79), [c23(2208, 1757, s1)]),c17(new Rectangle(2387, 1755, 81, 79), [c23(2387, 1755, s1)]),c17(new Rectangle(2215, 1168, 81, 79), [c23(2215, 1168, s1)]),c17(new Rectangle(2394, 1166, 81, 79), [c23(2394, 1166, s1)]),c17(new Rectangle(2215, 574, 81, 79), [c23(2215, 574, s1)]),c17(new Rectangle(2394, 572, 81, 79), [c23(2394, 572, s1)]),c17(new Rectangle(2205, 2774, 81, 79), [c23(2205, 2774, s1)]),c17(new Rectangle(2384, 2772, 81, 79), [c23(2384, 2772, s1)]),c17(new Rectangle(2205, 3365, 81, 79), [c23(2205, 3365, s1)]),c17(new Rectangle(2384, 3363, 81, 79), [c23(2384, 3363, s1)]),c17(new Rectangle(2205, 3959, 81, 79), [c23(2205, 3959, s1)]),c17(new Rectangle(2384, 3957, 81, 79), [c23(2384, 3957, s1)]),c17(new Rectangle(2510, 2648, 81, 79), [c23(2510, 2648, s1)]),c17(new Rectangle(2686, 2480, 81, 79), [c23(2686, 2480, s1)]),c17(new Rectangle(2807, 2937, 81, 79), [c23(2807, 2937, s1)]),c17(new Rectangle(2983, 2769, 81, 79), [c23(2983, 2769, s1)]),c17(new Rectangle(3103, 2648, 81, 79), [c23(3103, 2648, s1)]),c17(new Rectangle(3279, 2480, 81, 79), [c23(3279, 2480, s1)]),c17(new Rectangle(2506, 3242, 81, 79), [c23(2506, 3242, s1)]),c17(new Rectangle(2682, 3074, 81, 79), [c23(2682, 3074, s1)]),c17(new Rectangle(2506, 3833, 81, 79), [c23(2506, 3833, s1)]),c17(new Rectangle(2682, 3665, 81, 79), [c23(2682, 3665, s1)]),c17(new Rectangle(2804, 3537, 81, 79), [c23(2804, 3537, s1)]),c17(new Rectangle(2980, 3369, 81, 79), [c23(2980, 3369, s1)]),c17(new Rectangle(3106, 3236, 81, 79), [c23(3106, 3236, s1)]),c17(new Rectangle(3282, 3068, 81, 79), [c23(3282, 3068, s1)]),c17(new Rectangle(3410, 2940, 81, 79), [c23(3410, 2940, s1)]),c17(new Rectangle(3586, 2772, 81, 79), [c23(3586, 2772, s1)]),c17(new Rectangle(3709, 2651, 81, 79), [c23(3709, 2651, s1)]),c17(new Rectangle(3885, 2483, 81, 79), [c23(3885, 2483, s1)]),c17(new Rectangle(2086, 3826, 81, 79), [c23(2086, 3826, s1)]),c17(new Rectangle(1908, 3656, 81, 79), [c23(1908, 3656, s1)]),c17(new Rectangle(1787, 3535, 81, 79), [c23(1787, 3535, s1)]),c17(new Rectangle(1609, 3365, 81, 79), [c23(1609, 3365, s1)]),c17(new Rectangle(1483, 3240, 81, 79), [c23(1483, 3240, s1)]),c17(new Rectangle(1305, 3070, 81, 79), [c23(1305, 3070, s1)]),c17(new Rectangle(1191, 2948, 81, 79), [c23(1191, 2948, s1)]),c17(new Rectangle(1013, 2778, 81, 79), [c23(1013, 2778, s1)]),c17(new Rectangle(886, 2652, 81, 79), [c23(886, 2652, s1)]),c17(new Rectangle(708, 2482, 81, 79), [c23(708, 2482, s1)]),c17(new Rectangle(1489, 2649, 81, 79), [c23(1489, 2649, s1)]),c17(new Rectangle(1311, 2479, 81, 79), [c23(1311, 2479, s1)]),c17(new Rectangle(1781, 2938, 81, 79), [c23(1781, 2938, s1)]),c17(new Rectangle(1603, 2768, 81, 79), [c23(1603, 2768, s1)]),c17(new Rectangle(2086, 3240, 81, 79), [c23(2086, 3240, s1)]),c17(new Rectangle(1908, 3070, 81, 79), [c23(1908, 3070, s1)]),c17(new Rectangle(2086, 2655, 81, 79), [c23(2086, 2655, s1)]),c17(new Rectangle(1908, 2485, 81, 79), [c23(1908, 2485, s1)]),c17(new Rectangle(1908, 2059, 81, 79), [c23(1908, 2059, s1)]),c17(new Rectangle(2086, 1890, 81, 79), [c23(2086, 1890, s1)]),c17(new Rectangle(1784, 2178, 81, 79), [c23(1784, 2178, s1)]),c17(new Rectangle(1603, 1762, 81, 79), [c23(1603, 1762, s1)]),c17(new Rectangle(1781, 1593, 81, 79), [c23(1781, 1593, s1)]),c17(new Rectangle(1308, 2057, 81, 79), [c23(1308, 2057, s1)]),c17(new Rectangle(1486, 1888, 81, 79), [c23(1486, 1888, s1)]),c17(new Rectangle(1181, 2181, 81, 79), [c23(1181, 2181, s1)]),c17(new Rectangle(711, 2060, 81, 79), [c23(711, 2060, s1)]),c17(new Rectangle(889, 1891, 81, 79), [c23(889, 1891, s1)]),c17(new Rectangle(1009, 1762, 81, 79), [c23(1009, 1762, s1)]),c17(new Rectangle(1187, 1593, 81, 79), [c23(1187, 1593, s1)]),c17(new Rectangle(1308, 1470, 81, 79), [c23(1308, 1470, s1)]),c17(new Rectangle(1486, 1301, 81, 79), [c23(1486, 1301, s1)]),c17(new Rectangle(1908, 1470, 81, 79), [c23(1908, 1470, s1)]),c17(new Rectangle(2086, 1301, 81, 79), [c23(2086, 1301, s1)]),c17(new Rectangle(2985, 1758, 81, 79), [c23(2985, 1758, s1)]),c17(new Rectangle(2809, 1586, 81, 79), [c23(2809, 1586, s1)]),c17(new Rectangle(3285, 2056, 81, 79), [c23(3285, 2056, s1)]),c17(new Rectangle(3109, 1884, 81, 79), [c23(3109, 1884, s1)]),c17(new Rectangle(2682, 2056, 81, 79), [c23(2682, 2056, s1)]),c17(new Rectangle(2506, 1884, 81, 79), [c23(2506, 1884, s1)]),c17(new Rectangle(3885, 2056, 81, 79), [c23(3885, 2056, s1)]),c17(new Rectangle(3709, 1884, 81, 79), [c23(3709, 1884, s1)]),c17(new Rectangle(3580, 1761, 81, 79), [c23(3580, 1761, s1)]),c17(new Rectangle(3404, 1589, 81, 79), [c23(3404, 1589, s1)]),c17(new Rectangle(3282, 1465, 81, 79), [c23(3282, 1465, s1)]),c17(new Rectangle(3106, 1293, 81, 79), [c23(3106, 1293, s1)]),c17(new Rectangle(2982, 1169, 81, 79), [c23(2982, 1169, s1)]),c17(new Rectangle(2806, 997, 81, 79), [c23(2806, 997, s1)]),c17(new Rectangle(2688, 878, 81, 79), [c23(2688, 878, s1)]),c17(new Rectangle(2512, 706, 81, 79), [c23(2512, 706, s1)]),c17(new Rectangle(1611, 1167, 81, 79), [c23(1611, 1167, s1)]),c17(new Rectangle(1789, 998, 81, 79), [c23(1789, 998, s1)]),c17(new Rectangle(1910, 875, 81, 79), [c23(1910, 875, s1)]),c17(new Rectangle(2088, 706, 81, 79), [c23(2088, 706, s1)]),c17(new Rectangle(2685, 1465, 81, 79), [c23(2685, 1465, s1)]),c17(new Rectangle(2509, 1293, 81, 79), [c23(2509, 1293, s1)]),c17(new Rectangle(1186, 2348, 81, 79), [c23(1186, 2348, s1)]),c17(new Rectangle(1782, 2346, 81, 79), [c23(1782, 2346, s1)]),c17(new Rectangle(2812, 2184, 81, 79), [c23(2812, 2184, s1)]),c17(new Rectangle(2810, 2352, 81, 79), [c23(2810, 2352, s1)]),c17(new Rectangle(3413, 2186, 81, 79), [c23(3413, 2186, s1)]),c17(new Rectangle(3411, 2354, 81, 79), [c23(3411, 2354, s1)]),c17(new Rectangle(4012, 2185, 81, 79), [c23(4012, 2185, s1)]),c17(new Rectangle(4010, 2353, 81, 79), [c23(4010, 2353, s1)]),c17(new Rectangle(587, 2185, 81, 79), [c23(587, 2185, s1)]),c17(new Rectangle(585, 2353, 81, 79), [c23(585, 2353, s1)])];
	return new AWebGraphic(commands, 0, 0, 4585, 4522, 0.2954);
}
function Point(x,y) {
    this.x = x;
    this.y = y;
}

function Dimension(width, height) {
    this.width = width;
    this.height = height;
}

function Rectangle(x, y, width, height) {
    this.x = x;
    this.y = y;
    this.width = width;
    this.height = height;
}

function ModelDataVersion(major, minor, revision) {
    this.major = major;
    this.minor = minor;
    this.revision = revision;
}

Rectangle.prototype = {
    containsPoint: function (p) {
        var w = this.width;
        var h = this.height;
        var x = this.x;
        var y = this.y;
        if (p.x < x || p.y < y) {
            return false;
        }

        w += x;
        h += y;
        return ((w < x || w > p.x) && (h < y || h > p.y));
    },

    intersects: function (r) {
        var tw = this.width;
        var th = this.height;
        var rw = r.width;
        var rh = r.height;
        if (rw <= 0 || rh <= 0 || tw <= 0 || th <= 0) {
            return false;
        }
        var tx = this.x;
        var ty = this.y;
        var rx = r.x;
        var ry = r.y;
        rw += rx;
        rh += ry;
        tw += tx;
        th += ty;
        //      overflow || intersect
        return ((rw < rx || rw > tx) &&
                (rh < ry || rh > ty) &&
                (tw < tx || tw > rx) &&
                (th < ty || th > ry));
    },

    containsRectangle: function (rect) {
        // code stolen from JDK
        var X = rect.x;
        var Y = rect.y;
        var W = rect.width;
        var H = rect.height;
        var w = this.width;
        var h = this.height;
        if ((w | h | W | H) < 0) {
            // At least one of the dimensions is negative...
            return false;
        }
        // Note: if any dimension is zero, tests below must return false...
        var x = this.x;
        var y = this.y;
        if (X < x || Y < y) {
            return false;
        }
        w += x;
        W += X;
        if (W <= X) {
            // X+W overflowed or W was zero, return false if...
            // either original w or W was zero or
            // x+w did not overflow or
            // the overflowed x+w is smaller than the overflowed X+W
            if (w >= x || W > w) return false;
        } else {
            // X+W did not overflow and W was not zero, return false if...
            // original w was zero or
            // x+w did not overflow and x+w is smaller than X+W
            if (w >= x && W > w) return false;
        }
        h += y;
        H += Y;
        if (H <= Y) {
            if (h >= y || H > h) return false;
        } else {
            if (h >= y && H > h) return false;
        }
        return true;
    }
};

var ALL_SHAPES = new Array();
var ALL_SYMBOLS = new Array();
var ALL_IMAGES = new Array();

function createImageFromBase64(data) {
    var image = createImage();
    image.loaded = false;
    image.onload = function() { image.loaded = true; } ;
    var url = 'data:image/png;base64,' + data;
	try {
		image.src = url;
	} catch(e) {
		// do nothing ...
	}
    image.url = url;
    ALL_IMAGES.push(image);
    return image;
}

function AImage(){
}

function createImage(){
    return false ? new AImage() : new Image();
}

function rememberShape(shapeName, shape)  {
    shape.name = shapeName;
    ALL_SHAPES.push(shape);
}

function rememberSymbol(symbol)  {
    ALL_SYMBOLS.push(symbol);
}

function getModelDataVersion() {
    return new ModelDataVersion(1, 0, 0);
}